Skip to main content
GET
Get credit note list

Authorizations

x-api-key
string
header
default:<your-api-key>
required
organisation
string
header
default:<your-organisation-id>
required

Query Parameters

cursor
string | null

The cursor indicating a unique set of results - this should be auto generated and you get it from the next and previous fields of the response

Example:

"V2VsbCBhcmV1IGN1cmlvdxM="

limit
integer | null

The number of results to return - defaults to 10

Example:

10

order
string | null
Example:

"-created_at"

search
string | null
Example:

"currency=inr,status=issued"

sort_key
string | null
Example:

"sort_key=id"

sort_type
string | null
Example:

"sort_key=asc"

id
string<uuid> | null
id__in
string | null
id__not_in
string | null
customer_id
string<uuid> | null
customer_id__in
string | null
customer_id__isnull
boolean | null
invoice_id
string<uuid> | null
invoice_id__in
string | null
invoice_id__isnull
boolean | null
status
string | null
status__ilike
string | null
status__like
string | null
status__in
string | null
status__isnull
boolean | null
amount
number | null
amount__neq
number | null
amount__gt
number | null
amount__gte
number | null
amount__lt
number | null
amount__lte
number | null
amount__isnull
boolean | null
amount__in
string | null
created_at
string<date-time> | null
created_at__neq
string<date-time> | null
created_at__gt
string<date-time> | null
created_at__gte
string<date-time> | null
created_at__lt
string<date-time> | null
created_at__lte
string<date-time> | null
created_at__isnull
boolean | null
created_at__in
string | null
credit_note_number__ilike
string | null

Response

Successful Response

results
CreditNoteResponseSchema · object[]
required

The results for the current page

next
string | null

The cursor for the next page of results

Example:

"V2VsbCBhcmV1IGN1cmlvdxM="

previous
string | null

The cursor for the previous page of results

Example:

"GmBsbCBhcmV1IGN1cmlvdxM="

total_count
integer | null

The total count of rows